
module output

using DelimitedFiles, CSV, Dates, DataFrames

export saveOutput, saveDataFrame

function saveOutput(perfData, settings)
    dateString = Dates.format(Dates.now(), "yyyy-mm-dd_HH.MM.SS")
    if settings.mode == "black list"
        path = settings.outputFilePath * dateString * "_Top 100.csv"
        CSV.write(path, perfData, header = true)
    elseif settings.mode == "statistical variation"
        # for settings.objectInFocus == "single line" ||
        # settings.objectInFocus == "all lines"
        path =
            settings.outputFilePath *
            dateString *
            "_" *
            settings.mode *
            "_" *
            settings.objectInFocus *
            ".csv"
        CSV.write(path, perfData, header = true)
    else
        println("ATTENTION: No output has been created.")
    end

end

"""
Function can be called from every module to save DataFrame.
"""

function saveDataFrame(perfData, settings, x)
    dateString = Dates.format(Dates.now(), "yyyy-mm-dd_HH.MM.SS")
    path =
        settings.outputFilePath *
        "_Linie_" *
        settings.analyzedLine *
        dateString *x*".csv"
    CSV.write(path, perfData, header = true)
end

end
