module types

using Dates

export Settings, Memory

mutable struct Settings
    outputFilePath::String
    objectInFocus::String
    analyzedLine::String
    estimatedTimesPath::String
    realTimeDataPath::String
    stationsListPath::String
    mode::String
    allLines::Vector{String}
    stationDict::Dict{Any, Any}
    totallines::Int
    stationLists::Vector{Any}
    commonStations::Vector{Any}
    quantile::Vector{Any}
    timePeriod::Vector{String}
    approach::String
    gamedays::Vector{Any}
end

Settings()=Settings("","","","","","","",[],Dict(),0,[],[],[],[],"",[])

mutable struct Memory
    distributionMin::Vector{Any}
    title::String
    titleSize::Int
    stationList::Vector{Any}
    focus::String
    direction1::String
    direction2::String
    size::Tuple{Any,Any}
    legendSize::Int
    legendPosition::Symbol
    linewidth::Int
    barwidth::Float64
    tickSize::Int
    guidefontsize:: Int
    xRotation::Float64
    xLabel::String
    yTicks::StepRange{Any,Any}
    yLabel::String
    color::Array

end

Memory() = Memory(
    [],
    "",
    0,
    ["x","x"],
    "",
    "",
    "",
    (200, 100),
    0,
    :outerbottom,
    0,
    0.0,
    0,
    0,
    0.0,
    "",
    0:1:2,
    "",
    [:blue],
)



end
